package com.siit.wfw.frame.utils;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.siit.wfw.frame.utils.Convert;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

public class WhiteListCheckUtil {

   private static Map map = new HashMap();


   public static JSONObject getData(String invoiceType, JSONObject data) {
      JSONObject object = new JSONObject();
      object.put("shxydm", "");
      object.put("billdate", "");
      if(!map.containsKey(invoiceType)) {
         return object;
      } else {
         String[] vals = ((String)map.get(invoiceType)).split("##");
         String shxydmKey = vals[0];
         String billDateKey = vals[1];
         String[] yearAndMonth = billDateKey.split(";");
         boolean sflag = false;
         boolean bflag = false;
         JSONArray array = new JSONArray();
         parseObject(data, array);

         for(int i = 0; i < array.size(); ++i) {
            JSONObject obj = array.getJSONObject(i);
            if(obj.containsKey(shxydmKey)) {
               object.put("shxydm", obj.get(shxydmKey));
               sflag = true;
            }

            if(yearAndMonth.length == 2) {
               String year = "";
               String month = "";
               if(obj.containsKey(yearAndMonth[0])) {
                  year = Convert.toReadStr(obj.get(yearAndMonth[0])).replace("年", "");
                  month = Convert.toReadStr(obj.get(yearAndMonth[1])).replace("月", "");
               }

               object.put("billdate", year + month);
               bflag = true;
            } else if(obj.containsKey(billDateKey)) {
               object.put("billdate", obj.get(billDateKey));
               bflag = true;
            }

            if(sflag && bflag) {
               return object;
            }
         }

         return object;
      }
   }

   public static boolean compareDate(String billDate, String configDate) {
      if(!Convert.isNullOrEmpty(billDate).booleanValue() && !Convert.isNullOrEmpty(configDate).booleanValue()) {
         Date bill = null;
         Date config = null;
         String format = "yyyy-MM-dd";
         if(!billDate.contains("-")) {
            configDate = configDate.replace("-", "");
         }

         if(billDate.length() == 6) {
            format = "yyyyMM";
            configDate = configDate.substring(0, 6);
         }

         SimpleDateFormat format1 = new SimpleDateFormat(format);
         SimpleDateFormat format2 = new SimpleDateFormat(format);

         try {
            bill = format1.parse(billDate);
            config = format2.parse(configDate);
         } catch (ParseException var8) {
            var8.printStackTrace();
         }

         System.out.println(Convert.formatDate((Date)bill));
         System.out.println(Convert.formatDate((Date)config));
         return bill.compareTo(config) >= 0;
      } else {
         return false;
      }
   }

   public static void parseObject(JSONObject object, JSONArray array) {
      Object obj = null;
      Iterator it = object.keySet().iterator();

      while(it.hasNext()) {
         String key = (String)it.next();
         if(object.get(key) instanceof String) {
            array.add(object);
            break;
         }

         if(object.get(key) instanceof JSONObject) {
            parseObject(object.getJSONObject(key), array);
         }
      }

   }

   public static void main(String[] args) {
      String dataString = "{\r\n    \"certResult\": false,\r\n    \"certResultMsg\": \"签章人证书无效:证书链验证失败\",\r\n    \"data\": {\r\n        \"IdentificationCodeOfIssuer\": \"00102100099996\",\r\n        \"NumberOfBankBranch\": \"02002352\",\r\n        \"Currency\": \"CNY\",\r\n        \"CustomerSettlementBankAccount\": \"0200235219200027658\",\r\n        \"NameOfCustomerAccount\": \"中国海洋石油集团有限公司\",\r\n        \"CodeOfBankCustomer\": \"\",\r\n        \"YearOfBankReconciliationStatement\": \"2022年\",\r\n        \"MonthOfBankReconciliationStatement\": \"04月\",\r\n        \"PrintTimes\": \"1\",\r\n        \"PrintDate\": \"2022-04-14\",\r\n        \"InformationOfReconcileDetailsTuple\": [\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-07\",\r\n                \"TypesOfBusinessProducts\": \"代理业务\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"代收\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"106600\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"5516943.01\",\r\n                \"TransactionCode\": \"70173\",\r\n                \"AccountOfCounterparty\": \"0200003319210012603\",\r\n                \"NameOfCounterparty\": \"中国联合网络通信有限公司北京市分公司\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00001\",\r\n                \"TimeOfBookkeeping\": \"18:15:52\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22097000006\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-07\",\r\n                \"TypesOfBusinessProducts\": \"代理业务\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"委收\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"1782130\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"5499121.71\",\r\n                \"TransactionCode\": \"70173\",\r\n                \"AccountOfCounterparty\": \"0200049219022523842\",\r\n                \"NameOfCounterparty\": \"中国电信股份有限公司北京分公司\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00001\",\r\n                \"TimeOfBookkeeping\": \"18:15:52\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22097000007\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-08\",\r\n                \"TypesOfBusinessProducts\": \"跨行收报\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"2022年04月话费\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"198500\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"5497136.71\",\r\n                \"TransactionCode\": \"52719\",\r\n                \"AccountOfCounterparty\": \"11001029300053000028\",\r\n                \"NameOfCounterparty\": \"中共中央办公厅通信局\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00023\",\r\n                \"TimeOfBookkeeping\": \"10:24:53\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22098000001\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-08\",\r\n                \"TypesOfBusinessProducts\": \"收付款\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"报销\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"21409\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"5496922.62\",\r\n                \"TransactionCode\": \"42937\",\r\n                \"AccountOfCounterparty\": \"6227000061891405875\",\r\n                \"NameOfCounterparty\": \"杜建吉\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00079\",\r\n                \"TimeOfBookkeeping\": \"10:48:25\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22098000002\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-08\",\r\n                \"TypesOfBusinessProducts\": \"收付款\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"报销\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"600000\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"5490922.62\",\r\n                \"TransactionCode\": \"42937\",\r\n                \"AccountOfCounterparty\": \"6217000010008341151\",\r\n                \"NameOfCounterparty\": \"毕国涛\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00079\",\r\n                \"TimeOfBookkeeping\": \"14:25:27\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22098000003\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-08\",\r\n                \"TypesOfBusinessProducts\": \"收付款\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"报销\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"480000\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"5486122.62\",\r\n                \"TransactionCode\": \"42937\",\r\n                \"AccountOfCounterparty\": \"6217 0000 1004 0089 594\",\r\n                \"NameOfCounterparty\": \"王雅娟\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00079\",\r\n                \"TimeOfBookkeeping\": \"14:25:28\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22098000004\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-08\",\r\n                \"TypesOfBusinessProducts\": \"代理业务\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"移动\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"17060\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"5485952.02\",\r\n                \"TransactionCode\": \"70173\",\r\n                \"AccountOfCounterparty\": \"0200000509054101278\",\r\n                \"NameOfCounterparty\": \"中国移动通信集团北京有限公司\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00001\",\r\n                \"TimeOfBookkeeping\": \"19:09:19\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22098000005\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-08\",\r\n                \"TypesOfBusinessProducts\": \"代理业务\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"移动\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"82107\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"5485130.95\",\r\n                \"TransactionCode\": \"70173\",\r\n                \"AccountOfCounterparty\": \"0200000509054101278\",\r\n                \"NameOfCounterparty\": \"中国移动通信集团北京有限公司\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00001\",\r\n                \"TimeOfBookkeeping\": \"19:09:19\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22098000006\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-08\",\r\n                \"TypesOfBusinessProducts\": \"代理业务\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"移动\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"13390\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"5484997.05\",\r\n                \"TransactionCode\": \"70173\",\r\n                \"AccountOfCounterparty\": \"0200000509054101278\",\r\n                \"NameOfCounterparty\": \"中国移动通信集团北京有限公司\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00001\",\r\n                \"TimeOfBookkeeping\": \"19:09:19\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22098000007\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-08\",\r\n                \"TypesOfBusinessProducts\": \"代理业务\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"移动\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"21320\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"5484783.85\",\r\n                \"TransactionCode\": \"70173\",\r\n                \"AccountOfCounterparty\": \"0200000509054101278\",\r\n                \"NameOfCounterparty\": \"中国移动通信集团北京有限公司\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00001\",\r\n                \"TimeOfBookkeeping\": \"19:09:19\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22098000008\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-08\",\r\n                \"TypesOfBusinessProducts\": \"代理业务\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"移动\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"6069\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"5484723.16\",\r\n                \"TransactionCode\": \"70173\",\r\n                \"AccountOfCounterparty\": \"0200000509054101278\",\r\n                \"NameOfCounterparty\": \"中国移动通信集团北京有限公司\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00001\",\r\n                \"TimeOfBookkeeping\": \"19:09:19\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22098000009\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-08\",\r\n                \"TypesOfBusinessProducts\": \"代理业务\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"移动\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"16000\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"5484563.16\",\r\n                \"TransactionCode\": \"70173\",\r\n                \"AccountOfCounterparty\": \"0200000509054101278\",\r\n                \"NameOfCounterparty\": \"中国移动通信集团北京有限公司\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00001\",\r\n                \"TimeOfBookkeeping\": \"19:09:19\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22098000010\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-08\",\r\n                \"TypesOfBusinessProducts\": \"代理业务\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"移动\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"5800\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"5484505.16\",\r\n                \"TransactionCode\": \"70173\",\r\n                \"AccountOfCounterparty\": \"0200000509054101278\",\r\n                \"NameOfCounterparty\": \"中国移动通信集团北京有限公司\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00001\",\r\n                \"TimeOfBookkeeping\": \"19:09:19\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22098000011\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-08\",\r\n                \"TypesOfBusinessProducts\": \"代理业务\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"移动\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"23800\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"5484267.16\",\r\n                \"TransactionCode\": \"70173\",\r\n                \"AccountOfCounterparty\": \"0200000509054101278\",\r\n                \"NameOfCounterparty\": \"中国移动通信集团北京有限公司\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00001\",\r\n                \"TimeOfBookkeeping\": \"19:09:19\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22098000012\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-11\",\r\n                \"TypesOfBusinessProducts\": \"银税业务\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"代理国库税收收缴\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"413009697\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"1354170.19\",\r\n                \"TransactionCode\": \"00727\",\r\n                \"AccountOfCounterparty\": \"0200099811200310068\",\r\n                \"NameOfCounterparty\": \"待报解预算收入\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00038\",\r\n                \"TimeOfBookkeeping\": \"08:48:21\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22101000001\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-11\",\r\n                \"TypesOfBusinessProducts\": \"收付款\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"报销\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"98600\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"1353184.19\",\r\n                \"TransactionCode\": \"42937\",\r\n                \"AccountOfCounterparty\": \"6217000010056098356\",\r\n                \"NameOfCounterparty\": \"姜军\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00079\",\r\n                \"TimeOfBookkeeping\": \"09:27:50\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22101000002\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-11\",\r\n                \"TypesOfBusinessProducts\": \"收付款\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"报销\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"400000\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"1349184.19\",\r\n                \"TransactionCode\": \"42937\",\r\n                \"AccountOfCounterparty\": \"6217000010031142626\",\r\n                \"NameOfCounterparty\": \"单骏蒙\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00079\",\r\n                \"TimeOfBookkeeping\": \"09:27:52\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22101000003\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-11\",\r\n                \"TypesOfBusinessProducts\": \"收付款\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"报销\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"20000\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"1348984.19\",\r\n                \"TransactionCode\": \"42937\",\r\n                \"AccountOfCounterparty\": \"6217000010056098356\",\r\n                \"NameOfCounterparty\": \"姜军\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00079\",\r\n                \"TimeOfBookkeeping\": \"09:27:56\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22101000004\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-11\",\r\n                \"TypesOfBusinessProducts\": \"收付款\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"报销\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"392000\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"1345064.19\",\r\n                \"TransactionCode\": \"42937\",\r\n                \"AccountOfCounterparty\": \"6217000010056098356\",\r\n                \"NameOfCounterparty\": \"姜军\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00079\",\r\n                \"TimeOfBookkeeping\": \"09:28:02\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22101000005\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-11\",\r\n                \"TypesOfBusinessProducts\": \"跨行收报\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"通信费合同号：200070\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"40934815\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"935716.04\",\r\n                \"TransactionCode\": \"52719\",\r\n                \"AccountOfCounterparty\": \"4050200001839100003012\",\r\n                \"NameOfCounterparty\": \"中国联合网络通信有限公司北京市分公司\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00023\",\r\n                \"TimeOfBookkeeping\": \"14:06:48\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22101000006\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-11\",\r\n                \"TypesOfBusinessProducts\": \"跨行收报\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"通信费合同号：200071\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"303500\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"932681.04\",\r\n                \"TransactionCode\": \"52719\",\r\n                \"AccountOfCounterparty\": \"4050200001839100003012\",\r\n                \"NameOfCounterparty\": \"中国联合网络通信有限公司北京市分公司\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00023\",\r\n                \"TimeOfBookkeeping\": \"14:06:48\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22101000007\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-11\",\r\n                \"TypesOfBusinessProducts\": \"跨行收报\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"通信费合同号：B00707\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"2258688\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"910094.16\",\r\n                \"TransactionCode\": \"52719\",\r\n                \"AccountOfCounterparty\": \"4050200001839100003012\",\r\n                \"NameOfCounterparty\": \"中国联合网络通信有限公司北京市分公司\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00023\",\r\n                \"TimeOfBookkeeping\": \"14:06:49\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22101000008\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-12\",\r\n                \"TypesOfBusinessProducts\": \"收付款\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"报销\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"1050000\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"899594.16\",\r\n                \"TransactionCode\": \"42937\",\r\n                \"AccountOfCounterparty\": \"6214836552659332\",\r\n                \"NameOfCounterparty\": \"匡帅\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00079\",\r\n                \"TimeOfBookkeeping\": \"11:51:26\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22102000001\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-12\",\r\n                \"TypesOfBusinessProducts\": \"收付款\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"报销\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"200000\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"897594.16\",\r\n                \"TransactionCode\": \"42937\",\r\n                \"AccountOfCounterparty\": \"6217680702888798\",\r\n                \"NameOfCounterparty\": \"李亚\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00079\",\r\n                \"TimeOfBookkeeping\": \"13:39:02\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22102000002\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-12\",\r\n                \"TypesOfBusinessProducts\": \"跨行收报\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"2022年1-2季度按月发\",\r\n                \"IdentificationOfCreditOrDebit\": \"2\",\r\n                \"TransactionAmount\": \"8760000\",\r\n                \"DebitOrCreditOfBalance\": \"2\",\r\n                \"AccountBalance\": \"985194.16\",\r\n                \"TransactionCode\": \"52189\",\r\n                \"AccountOfCounterparty\": \"11190901040007790\",\r\n                \"NameOfCounterparty\": \"人力资源和社会保障部留学人员和专家服务中心\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00023\",\r\n                \"TimeOfBookkeeping\": \"14:54:30\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22102000003\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-13\",\r\n                \"TypesOfBusinessProducts\": \"收付款\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"报销\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"40000\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"984794.16\",\r\n                \"TransactionCode\": \"42937\",\r\n                \"AccountOfCounterparty\": \"6217 0000 1004 0089 594\",\r\n                \"NameOfCounterparty\": \"王雅娟\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00079\",\r\n                \"TimeOfBookkeeping\": \"10:34:20\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22103000001\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-13\",\r\n                \"TypesOfBusinessProducts\": \"收付款\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"报销\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"1018937\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"974604.79\",\r\n                \"TransactionCode\": \"42937\",\r\n                \"AccountOfCounterparty\": \"6217000010042450778\",\r\n                \"NameOfCounterparty\": \"王云涛\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00079\",\r\n                \"TimeOfBookkeeping\": \"10:38:25\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22103000002\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-13\",\r\n                \"TypesOfBusinessProducts\": \"收付款\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"报销\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"2280000\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"951804.79\",\r\n                \"TransactionCode\": \"42937\",\r\n                \"AccountOfCounterparty\": \"4367420011520009877\",\r\n                \"NameOfCounterparty\": \"吴佳珊\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00079\",\r\n                \"TimeOfBookkeeping\": \"11:08:22\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22103000003\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-13\",\r\n                \"TypesOfBusinessProducts\": \"同城转账\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"报销\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"1010000\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"941704.79\",\r\n                \"TransactionCode\": \"41248\",\r\n                \"AccountOfCounterparty\": \"6217232015000287518\",\r\n                \"NameOfCounterparty\": \"王锐\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"00307\",\r\n                \"TimeOfBookkeeping\": \"11:08:24\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22103000004\"\r\n            },\r\n            {\r\n                \"DateOfBookkeeping\": \"2022-04-14\",\r\n                \"TypesOfBusinessProducts\": \"对公收费\",\r\n                \"TypeOfSourceDocument\": \"\",\r\n                \"NumberOfSourceDocument\": \"00000000000000000\",\r\n                \"NotesOfBankElectronicReceipt\": \"单位资信证明业务收费\",\r\n                \"IdentificationOfCreditOrDebit\": \"1\",\r\n                \"TransactionAmount\": \"20000\",\r\n                \"DebitOrCreditOfBalance\": \"1\",\r\n                \"AccountBalance\": \"941504.79\",\r\n                \"TransactionCode\": \"01128\",\r\n                \"AccountOfCounterparty\": \"0200218411500870620\",\r\n                \"NameOfCounterparty\": \"单位银行询证函收入\",\r\n                \"DepositoryBankOfCounterparty\": \"\",\r\n                \"Bookkeeper\": \"12588\",\r\n                \"TimeOfBookkeeping\": \"14:50:10\",\r\n                \"JournalAccountOfBookkeeping\": \"\",\r\n                \"OtherAccountingInformation\": \"{银行业务编号:}\",\r\n                \"NumberOfBankElectronicReceipt\": \"22104000001\"\r\n            }\r\n        ],\r\n        \"AccountBalanceAtTheEndOfReconciliationCycleAmount\": \"941504.79\",\r\n        \"ReserveBalanceAtTheEndOfReconciliationCycle\": \"0.00\",\r\n        \"FrozenBalanceAtTheEndOfReconciliationCycle\": \"0.00\",\r\n        \"OverdraftBalanceAtEndOfReconciliationCycle\": \"0.00\",\r\n        \"AvailableBalanceAtTheEndOfReconciliationCycleAmount\": \"941504.79\"\r\n    },\r\n    \"errorCode\": \"\",\r\n    \"invoiceType\": \"bkrs\",\r\n    \"issuerFileName\": \"bkrs_issuer_20220414_001021000999966512691018.xml\",\r\n    \"signResult\": true,\r\n    \"status\": true,\r\n    \"xbrl\": true\r\n}";
      String invoiceType = "bkrs";
      getData(invoiceType, JSONObject.parseObject(dataString));
      System.out.println(compareDate("202106", "2021-06-05"));
   }

   static {
      map.put("atr_issuer", "UnifiedSocialCreditCodeOfPurchaser##IssueDate");
      map.put("einv_spcl_receiver", "SellerIdNum##RequestTime");
      map.put("rai_issuer", "UnifiedSocialCreditCodeOfPurchaser##DateOfIssue");
      map.put("bkrs", "CustomerSettlementBankAccount##YearOfBankReconciliationStatement;MonthOfBankReconciliationStatement");
      map.put("bker_issuer", "IdentificationCodeOfIssuer##IssueDate");
      map.put("inv_spcl_issuer", "TaxpayerIdentificationNumberUnifiedSocialCreditCodeOfSeller##DateOfIssue");
      map.put("inv_ord_issuer", "TaxpayerIdentificationNumberUnifiedSocialCreditCodeOfSeller##DateOfIssue");
   }
}
